unit View.IncidentProperty;

interface

uses
  System.SysUtils, System.Classes, JS, Web, WEBLib.Graphics, WEBLib.Controls,
  WEBLib.Forms, WEBLib.Dialogs, App.Types, ConnectionModule, Data.DB,
  WEBLib.DB, XData.Web.JsonDataset, XData.Web.Dataset, WEBLib.ExtCtrls,
  XData.Web.Client, Vcl.StdCtrls, WEBLib.StdCtrls, WEBLib.DBCtrls, Vcl.Controls;

type
  TFIncidentProperty = class(TWebForm)
    WebLabel1: TWebLabel;
    WebLabel2: TWebLabel;
    WebLabel3: TWebLabel;
    WebLabel4: TWebLabel;
    WebLabel6: TWebLabel;
    WebLabel7: TWebLabel;
    WebLabel8: TWebLabel;
    WebLabel9: TWebLabel;
    pnlMessage: TWebPanel;
    lblMessage: TWebLabel;
    btnCloseNotification: TWebButton;
    dtpOrderDate: TWebDateTimePicker;
    dtpProofDate: TWebDateTimePicker;
    dtpShipDate: TWebDateTimePicker;
    dtpArtDue: TWebDateTimePicker;
    dtpPlateDue: TWebDateTimePicker;
    dtpMountDue: TWebDateTimePicker;
    WebButton1: TWebButton;
    dtpColorContractDate2: TWebDateTimePicker;
    edtCompanyName: TWebDBEdit;
    edtCompanyAccountName: TWebDBEdit;
    edtInQuickBooks: TWebDBEdit;
    edtShipVia: TWebDBEdit;
    edtQuantity: TWebDBEdit;
    edtPrice: TWebDBEdit;
    edtInvoiceTo: TWebDBEdit;
    edtShipTo: TWebDBEdit;
    edtPONumber: TWebDBEdit;
    edtJobName: TWebDBEdit;
    edtQuickBooksItem: TWebDBEdit;
    edtArtLocation: TWebDBEdit;
    edtDimensionalLayout: TWebDBEdit;
    edtEmail: TWebDBEdit;
    edtFTP: TWebDBEdit;
    edtOther: TWebDBEdit;
    edtTotalInchesUsed: TWebDBEdit;
    edtSheetsUsed: TWebDBEdit;
    edtInitials: TWebDBEdit;
    edtPitch: TWebDBEdit;
    edtAround: TWebDBEdit;
    edtAcross: TWebDBEdit;
    edtCutoffDimension: TWebDBEdit;
    edtCylinderRepeat: TWebDBEdit;
    edtReversePrint: TWebDBEdit;
    edtSurfacePrint: TWebDBEdit;
    edtBleeded: TWebDBEdit;
    edtDigitalColorKey: TWebDBEdit;
    edtColorContract: TWebDBEdit;
    edtColorContractTo: TWebDBEdit;
    edtInkJetTo2: TWebDBEdit;
    edtInkJetTo: TWebDBEdit;
    edtPDFTo: TWebDBEdit;
    edtAniloxInfo: TWebDBEdit;
    edtPressName: TWebDBEdit;
    edtJobNumber: TWebDBEdit;
    edtPlateMaterial: TWebDBEdit;
    edtThickness: TWebDBEdit;
    cbPDFFile: TWebDBCheckBox;
    cbFullSizeInkJet: TWebDBCheckBox;
    cbPlate: TWebDBCheckBox;
    cbColorCopy: TWebDBCheckBox;
    cbBWCopy: TWebDBCheckBox;
    edtComments: TWebDBEdit;
    XDataWebClient1: TXDataWebClient;
    tmrScrollTop: TWebTimer;
    XDataWebDataSet1: TXDataWebDataSet;
    XDataWebDataSet1Quantity: TStringField;
    XDataWebDataSet1accountCompanyName: TStringField;
    XDataWebDataSet1acrossNo: TStringField;
    XDataWebDataSet1approvedDate: TStringField;
    XDataWebDataSet1aroundNo: TStringField;
    XDataWebDataSet1artApprovedAsIs: TBooleanField;
    XDataWebDataSet1artDue: TStringField;
    XDataWebDataSet1artLocation: TStringField;
    XDataWebDataSet1bwCopy: TBooleanField;
    XDataWebDataSet1cadFile: TStringField;
    XDataWebDataSet1clemson: TStringField;
    XDataWebDataSet1companyName: TStringField;
    XDataWebDataSet1crossHairs: TIntegerField;
    XDataWebDataSet1customAdhesive: TStringField;
    XDataWebDataSet1customBacking: TStringField;
    XDataWebDataSet1cylinderSize: TStringField;
    XDataWebDataSet1dieCutNo: TStringField;
    XDataWebDataSet1dimensionalLayout: TStringField;
    XDataWebDataSet1diskOrCD: TBooleanField;
    XDataWebDataSet1email: TStringField;
    XDataWebDataSet1emailAttn: TStringField;
    XDataWebDataSet1excaliburDie: TBooleanField;
    XDataWebDataSet1existingCuttingDie: TStringField;
    XDataWebDataSet1fax: TStringField;
    XDataWebDataSet1faxAttn: TStringField;
    XDataWebDataSet1ftp: TStringField;
    XDataWebDataSet1fullMount: TBooleanField;
    XDataWebDataSet1fullSizePanel: TBooleanField;
    XDataWebDataSet1inQuickBooks: TStringField;
    XDataWebDataSet1jobName: TStringField;
    XDataWebDataSet1jobNumber: TStringField;
    XDataWebDataSet1loose: TStringField;
    XDataWebDataSet1machineIdent: TStringField;
    XDataWebDataSet1mountDue: TStringField;
    XDataWebDataSet1orderDate: TStringField;
    XDataWebDataSet1other: TStringField;
    XDataWebDataSet1pdfFile: TBooleanField;
    XDataWebDataSet1plateDue: TStringField;
    XDataWebDataSet1plateMaterial: TStringField;
    XDataWebDataSet1plates: TBooleanField;
    XDataWebDataSet1printCard: TBooleanField;
    XDataWebDataSet1proofDate: TStringField;
    XDataWebDataSet1proofEmail: TStringField;
    XDataWebDataSet1proofOther: TStringField;
    XDataWebDataSet1proofShipTo: TStringField;
    XDataWebDataSet1quickBooksItem: TStringField;
    XDataWebDataSet1refArtPrintCard: TStringField;
    XDataWebDataSet1rscStyle: TStringField;
    XDataWebDataSet1rscd: TStringField;
    XDataWebDataSet1rescl: TStringField;
    XDataWebDataSet1rscw: TStringField;
    XDataWebDataSet1sampleCarton: TBooleanField;
    XDataWebDataSet1shipDate: TStringField;
    XDataWebDataSet1shipTo: TStringField;
    XDataWebDataSet1shipVia: TStringField;
    XDataWebDataSet1specialInstructions: TStringField;
    XDataWebDataSet1standardSetup: TStringField;
    XDataWebDataSet1stickyBak: TBooleanField;
    XDataWebDataSet1stripMount: TStringField;
    XDataWebDataSet1thickness: TStringField;
    XDataWebDataSet1wideFormat: TStringField;
    XDataWebDataSet1price: TStringField;
    XDataWebDataSet1invoiceTo: TStringField;
    XDataWebDataSet1colorCopy: TBooleanField;
    XDataWebDataSet1refArtAPDF: TStringField;
    XDataWebDataSet1poNumber: TStringField;
    XDataWebDataSet1colors: TStringField;
    WebDataSource1: TWebDataSource;
    edtDisk: TWebDBEdit;
    edtCutback: TWebDBEdit;
    edtMinimumTrapDim: TWebDBEdit;
    edtMaximumTrapDim: TWebDBEdit;
    dtpPDFDate3: TWebDateTimePicker;
    dtpPDFDate2: TWebDateTimePicker;
    dtpPDFDate1: TWebDateTimePicker;
    dtpInkJetDate3: TWebDateTimePicker;
    dtpInkJetDate2: TWebDateTimePicker;
    dtpInkJetDate1: TWebDateTimePicker;
    dtpColorContractDate1: TWebDateTimePicker;
    dtpDigitalColorDate: TWebDateTimePicker;
    edtDigitalColorTo: TWebDBEdit;
    WebLabel5: TWebLabel;
    edtOtherComments: TWebDBEdit;
    edtPlateOther: TWebDBEdit;
    edtColorBarsComments: TWebDBEdit;
    edtColorBars: TWebDBEdit;
    edtCrosshairsComments: TWebDBEdit;
    edtCrosshairs: TWebDBEdit;
    edtMicrodotsComments: TWebDBEdit;
    edtMicrodots: TWebDBEdit;
  private
    FAgencyCode: string;
    FCurrentReportType: string;
    FReportID: string;
    //FJSONProc: TJSONProc;
  public
    class function CreateForm(AElementID, AReportType, AAgencyCode, AReportID: string): TWebForm;
  end;

var
  FIncidentProperty: TFIncidentProperty;

implementation

{$R *.dfm}

class function TFIncidentProperty.CreateForm(AElementID, AReportType, AAgencyCode, AReportID: string): TWebForm;
begin
  Application.CreateForm(TFIncidentProperty, AElementID, Result,
    procedure(AForm: TObject)
    begin
      with TFIncidentProperty(AForm) do
      begin
        FAgencyCode := AAgencyCode;
        FCurrentReportType := AReportType;
        FReportID := AReportID;
        //FJSONProc := AJSONProc;
//        InitializeForm;
      end;
    end
  );
end;

end. 